Subject: Re: [Bitcoin-development] Committing to extra block data/a better merge-mine standard

From: Mike Hearn <[email-masked]>
Date: Mon, 4 Nov 2013 20:38:09 +0100

I like the UUID-as-path idea. That resolves the problem of how to share the
alt-chain merkle tree quite nicely.

On Mon, Nov 4, 2013 at 7:16 PM, Peter Todd <[email-masked]> wrote:

> No sense in compromising - you need a whole merkle path to prove the
> extra data is valid so you might as well make this a full 256 bits;
>

The Merkle branch doesn't get stored indefinitely though, whereas the
coinbase hash does. The data stored in the coinbase [output] can always
just be the 256-bit root hash truncated to less.

I doubt the additional bytes make much difference really, so the additional
complexity may not be worth it. But it wouldn't be an issue to do.